Page MenuHomePhabricator

[Epic] Restore Civi manual refund functionality
Closed, ResolvedPublic

Description

Donor services is currently entering refund information into a spreadsheet because the Civi method is broken. We need to get them back on their feet.

We'll probably use Civi's built-in feature, where simply changing a contribution's status to Refunded creates all the necessary financial records.

Event Timeline

awight created this task.Jan 27 2016, 9:43 PM
awight assigned this task to Eileenmcnaughton.
awight raised the priority of this task from to High.
awight updated the task description. (Show Details)
awight added subscribers: Ejegg, Eileenmcnaughton, MBeat33, awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2016, 9:43 PM

@Ejegg - update on https://issues.civicrm.org/jira/browse/CRM-17951 - seems along the lines of what we were starting to conclude

Change 268447 had a related patch set uploaded (by Eileen):
CRM-17951 (merged into 4.7) modify transaction view to show the financial account of the transaction

https://gerrit.wikimedia.org/r/268447

Change 268459 had a related patch set uploaded (by Eileen):
CRM-17951 (pending merge, 4.7) add support for having an account relationship for refunds.

https://gerrit.wikimedia.org/r/268459

Change 268614 had a related patch set uploaded (by Eileen):
Add Entity Financial Account api

https://gerrit.wikimedia.org/r/268614

Change 268618 had a related patch set uploaded (by Eileen):
CRM-17951 form fixes for chargeback

https://gerrit.wikimedia.org/r/268618

Change 268735 had a related patch set uploaded (by Eileen):
CRM-17951 Add Chargeback Contribution status and optional account relationship types for chargeback & refund

https://gerrit.wikimedia.org/r/268735

Change 269200 had a related patch set uploaded (by Eileen):
Update Mark Refund to report error

https://gerrit.wikimedia.org/r/269200

Change 268614 merged by Ejegg:
Add Entity Financial Account api

https://gerrit.wikimedia.org/r/268614

Change 269200 merged by Ejegg:
Update Mark Refund to report error

https://gerrit.wikimedia.org/r/269200

Change 269312 had a related patch set uploaded (by Eileen):
Fix update script not to fall over on missing check_number

https://gerrit.wikimedia.org/r/269312

Change 268735 merged by Ejegg:
CRM-17951 Add Chargeback Contribution status and optional account relationship types for chargeback & refund

https://gerrit.wikimedia.org/r/268735

Change 269312 merged by Ejegg:
Fix update script not to fall over on missing check_number

https://gerrit.wikimedia.org/r/269312

Change 268459 merged by Ejegg:
CRM-17951 ( merged into 4.7) add support for Chargeback contribution status and having an account relationship for refunds.

https://gerrit.wikimedia.org/r/268459

Change 269529 had a related patch set uploaded (by Eileen):
Add Financial Accounts to each Financial Type for Chargeback & Refund

https://gerrit.wikimedia.org/r/269529

Change 269529 merged by Ejegg:
Add Financial Accounts to each Financial Type for Chargeback & Refund

https://gerrit.wikimedia.org/r/269529

Change 268618 merged by Ejegg:
CRM-17951 form fixes for chargeback

https://gerrit.wikimedia.org/r/268618

Change 268447 merged by Ejegg:
CRM-17951 (merged into 4.7) modify transaction view to show the financial account of the transaction

https://gerrit.wikimedia.org/r/268447

Change 270896 had a related patch set uploaded (by Eileen):
Fix error when updating completed transaction.

https://gerrit.wikimedia.org/r/270896

Change 270896 merged by Ejegg:
Fix error when updating completed transaction.

https://gerrit.wikimedia.org/r/270896

Change 271018 had a related patch set uploaded (by Eileen):
Fix type error in Refund logic.

https://gerrit.wikimedia.org/r/271018

Change 271018 merged by jenkins-bot:
Fix type error in Refund logic.

https://gerrit.wikimedia.org/r/271018

This is deployed but I'm bringing back to 'Doing' for the last subtask - which is uploading the csv of refunds that need importing

DStrine closed this task as Resolved.Feb 17 2016, 11:47 PM

@Eileenmacnaughton totally, and many thanks - it's great to have this functioning again.

Change 285825 had a related patch set uploaded (by Eileen):
Add Entity Financial Account api

https://gerrit.wikimedia.org/r/285825

Change 285828 had a related patch set uploaded (by Eileen):
CRM-17951 ( merged into 4.7) add support for Chargeback contribution status and having an account relationship for refunds.

https://gerrit.wikimedia.org/r/285828

Change 285830 had a related patch set uploaded (by Eileen):
CRM-17951 form fixes for chargeback

https://gerrit.wikimedia.org/r/285830

Change 285831 had a related patch set uploaded (by Eileen):
CRM-17951 (merged into 4.7) modify transaction view to show the financial account of the transaction

https://gerrit.wikimedia.org/r/285831

Change 285832 had a related patch set uploaded (by Eileen):
Fix error when updating completed transaction.

https://gerrit.wikimedia.org/r/285832

Change 285825 merged by Eileen:
Add Entity Financial Account api

https://gerrit.wikimedia.org/r/285825

Change 285828 merged by Eileen:
CRM-17951 ( merged into 4.7) add support for Chargeback contribution status and having an account relationship for refunds.

https://gerrit.wikimedia.org/r/285828

Change 285830 merged by Eileen:
CRM-17951 form fixes for chargeback

https://gerrit.wikimedia.org/r/285830

Change 285831 merged by Eileen:
CRM-17951 (merged into 4.7) modify transaction view to show the financial account of the transaction

https://gerrit.wikimedia.org/r/285831

Change 285832 merged by Eileen:
Fix error when updating completed transaction.

https://gerrit.wikimedia.org/r/285832

mmodell removed a subscriber: awight.Jun 22 2017, 9:51 PM